Bug 116254 - Writer: pdf-images disappear when exporting as pdf
Summary: Writer: pdf-images disappear when exporting as pdf
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2018-03-07 05:51 UTC by oli4stuker
Modified: 2019-03-10 03:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
pdf that doesn't get printed (15.95 KB, application/pdf)
2018-03-07 11:32 UTC, oli4stuker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description oli4stuker 2018-03-07 05:51:18 UTC
Description:
When embedding a pdf as an image, the image is printed blank when the document is exported as pdf.

Steps to Reproduce:
1. New Writer document
2. Insert > Image... > choose any pdf that wasn't created with LO and open *
3. Add some text
4. Export as PDF **

* doesn't matter if embedded or linked
** doesn't matter if using the toolbar button "Export as PDF" or File > Export as PDF...

Actual Results:  
Text is visible, but image is not in exported pdf file

Expected Results:
Image should be visible in exported pdf file too


Reproducible: Always


User Profile Reset: No



Additional Info:
- It seems to work with pdf files that were created with LO, but not with others e.g. pdf files created by InkScape. If desired, I can provide pdf files.

- It worked as expected in 5.4.3.2

- About:
Version: 5.4.5.1 (x64)
Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU threads: 8; OS: Windows 6.1; UI render: default; 
Locale: de-CH (de_CH); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.168 Safari/537.36 OPR/51.0.2830.40
Comment 1 sam tygier 2018-03-07 11:29:02 UTC
I can reproduce with an inscape produced pdf in 5.4.3
Version: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.utf8); Calc: group
Seems to effect Write and Impress equally.
(Though Bug 104998 makes 5.4 useless for working with embeded pdf files).

I can't reproduces in:
Version: 5.4.5.1
Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.utf8); Calc: group
or
Version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.utf8); Calc: group

Could you upload the pdf file that triggers this for you.
Comment 2 oli4stuker 2018-03-07 11:32:49 UTC
Created attachment 140426 [details]
pdf that doesn't get printed

When I load this pdf into a Writer document (via Insert > Image...) it doesn't show when the Writer document is exported as pdf
Comment 3 Telesto 2018-03-07 12:03:29 UTC
Repro with attachment 140426 [details]
Version: 6.1.0.0.alpha0+
Build ID: e108a31a8fee09c2fa4031e45e45ed73bbdb7c6f
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-03_23:36:02
Locale: nl-NL (nl_NL); Calc: CL
Comment 4 Dieter Praas 2018-03-07 21:00:09 UTC
Can't reproduce with attachment 140426 [details] and

Version: 6.1.0.0.alpha0+ (x64)
Build ID: d64ce643275e0b2b0dea9e532fc261391dc8793c
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-01_03:24:30
Locale: de-DE (de_DE); Calc: CL

So if you, Telesto are able to reproduce it with the master, it might depends on the setings of the PDF-Export?
Comment 5 Telesto 2018-03-08 10:04:51 UTC
A, I found an explanation for the difference. The PDF contains the image, but not every PDF reader can handle it.

Windows Build in PDF reader -> No image
PDF XChange Viewer -> No image
Comment 6 Dieter Praas 2018-03-08 10:37:52 UTC
I use Adobe Acrobat Reader DC
Comment 7 Telesto 2018-03-08 10:50:38 UTC
@Buovjaga,
Is this 'by design' - please use a different PDF-reader (similar as bug 104702) - or ...
Comment 8 Buovjaga 2018-03-08 12:17:53 UTC
(In reply to Telesto from comment #7)
> @Buovjaga,
> Is this 'by design' - please use a different PDF-reader (similar as bug
> 104702) - or ...

Miklos: is this notourbug?
Comment 9 Miklos Vajna 2018-03-09 09:27:39 UTC
https://www.pdf-online.com/osa/validate.aspx output for our pdf output:

> File	saved.pdf
> Compliance	pdf1.4
> Result	Document does not conform to PDF/A.
> Details	
> 
> Validating file "saved.pdf" for conformance level pdf1.4
> 
> The name a0 of a graphics state dictionary resource is unknown.
> 
> The document does not conform to the requested standard.
> 
> The document doesn't conform to the PDF reference (missing required entries, wrong value types, etc.).
> 
> The document does not conform to the PDF 1.4 standard.
> 
> Done.

So it's a bug.
Comment 10 QA Administrators 2019-03-10 03:19:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug